Package com.mckoi.jfccontrols

## Class Query

- java.lang.Object
- - com.mckoi.jfccontrols.Query

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class Query
    extends java.lang.Object
    implements java.lang.Cloneable

Encapsulates the information in a query to the database. This object is used in QueryAgent.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`Query​(java.lang.String query)` Constructs the query.

### Method Summary

All Methods Instance Methods Concrete Methods
`Query` `changeSQL​(java.lang.String sql)` Returns a copy of this Query object but with a different query string.
`java.lang.Object` `getParameter​(int index)` Returns parameters number 'n' where 0 is the first parameters, etc.
`java.lang.String` `getString()` Returns the query string.
`int` `parameterCount()` Returns the number of parameters.
`void` `setBigDecimal​(int para_index, java.math.BigDecimal val)`
`void` `setBoolean​(int para_index, boolean val)`
`void` `setDate​(int para_index, java.util.Date val)`
`void` `setDouble​(int para_index, double val)`
`void` `setInt​(int para_index, int val)`
`void` `setLong​(int para_index, long val)`
`void` `setObject​(int para_index, java.lang.Object val)`
`void` `setString​(int para_index, java.lang.String str)`
`void` `setTimeFrame​(int para_index, TimeFrame val)`
`java.lang.String` `toString()` For debugging.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Query

    public Query​(java.lang.String query)

Constructs the query.

### Method Detail

#### getString

    public java.lang.String getString()

Returns the query string.

#### parameterCount

    public int parameterCount()

Returns the number of parameters.

#### getParameter

    public java.lang.Object getParameter​(int index)

Returns parameters number 'n' where 0 is the first parameters, etc.

#### changeSQL

    public Query changeSQL​(java.lang.String sql)

Returns a copy of this Query object but with a different query string.

#### toString

    public java.lang.String toString()

For debugging.

Overrides:
  `toString` in class `java.lang.Object`

#### setString

    public void setString​(int para_index,
                          java.lang.String str)

#### setBoolean

    public void setBoolean​(int para_index,
                           boolean val)

#### setBigDecimal

    public void setBigDecimal​(int para_index,
                              java.math.BigDecimal val)

#### setInt

    public void setInt​(int para_index,
                       int val)

#### setLong

    public void setLong​(int para_index,
                        long val)

#### setDouble

    public void setDouble​(int para_index,
                          double val)

#### setDate

    public void setDate​(int para_index,
                        java.util.Date val)

#### setTimeFrame

    public void setTimeFrame​(int para_index,
                             TimeFrame val)

#### setObject

    public void setObject​(int para_index,
                          java.lang.Object val)